Subject: Re: [PATCH 0/2]: Remote softirq invocation infrastructure.

From: Arjan van de Ven <[email-masked]>
Date: Sat, 20 Sep 2008 09:19:18 -0700

On Sat, 20 Sep 2008 09:02:09 -0700
Daniel Walker <[email-masked]> wrote:

> On Sat, 2008-09-20 at 08:45 -0700, Arjan van de Ven wrote:
> > On Sat, 20 Sep 2008 08:29:21 -0700
> > > 
> > > > Jen's, as stated, has block layer uses for this.  I intend to
> > > > use this for receive side flow seperation on non-multiqueue
> > > > network cards.  And Steffen Klassert has a set of IPSEC
> > > > parallelization changes that can very likely make use of this.
> > > 
> > > What's the benefit that you (or Jens) sees from migrating softirqs
> > > from specific cpu's to others?
> > 
> > it means you do all the processing on the CPU that submitted the IO
> > in the first place, and likely still has the various metadata
> > pieces in its CPU cache (or at least you know you won't need to
> > bounce them over)
> 
> 
> In the case of networking and block I would think a lot of the softirq
> activity is asserted from userspace.. Maybe the scheduler shouldn't be
> migrating these tasks, or could take this softirq activity into
> account ..

well a lot of it comes from completion interrupts.

and moving userspace isn't a good option; think of the case of 1 nic
but 4 apache processes doing the work...

-- 
Arjan van de Ven 	Intel Open Source Technology Centre
For development, discussion and tips for power savings, 
visit http://www.lesswatts.org